Subject: Re: [bug#33535] [PATCH] refresh: Account for overlapping updater coverage.
From: Eric Bavier <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Mon, 10 Dec 2018 22:59:41 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 29 Nov 2018 18:42:38 +0100
[email-masked] (Ludovic Courtès) wrote:

> Hello!
> 
> [email-masked] skribis:
> 
> > From: Eric Bavier <[email-masked]>
> >
> > It seams mostly packages covered by both the "hackage" and "stackage"
> > updaters.  And Fribidi is a GNU package but hosted on github.
> >
> > Currently this leads to double-counting while computing total package
> > coverage and a too optimistic result (by about 5.4%).
> >
> > The below patch fixes it by tracking the (un)covered packages directly.  
> 
> Oh, good catch.  LGTM!

Applied in cba7ddcf603455c6692eb50c8bbf203a6bf17ab1

> 
> That also means we’ll have to work on our updaters…  :-)
> 

Yup.  

I have a prototype for an "arch" importer that parses the Archlinux
PKGBUILD files (32% coverage even without any fancy package name
mapping).

I also have a patch to the github updater so that it can update
packages that use git-fetch.  This brings the coverage up to 15.9% from
9.6%.  I think this will be useful if we keep moving packages away from
github's generated tarballs.

`~Eric